services:
    theme_park:
        container_name: theme_park
        environment:
            - PUID=1000
            - PGID=1000
            - TZ=America/Denver
            - TP_DOMAIN=themepark.alexlebens.net
            - TP_SCHEME=http
        image: ghcr.io/gilbn/theme.park:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.theme_park.entrypoints: websecure
            traefik.http.routers.theme_park.rule: Host(`themepark.alexlebens.net`)
            traefik.http.routers.theme_park.service: theme_park
            traefik.http.services.theme_park.loadbalancer.server.port: 80
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: always
        volumes:
            - config:/config

networks:
    traefik:
        name: traefik
        external: true

volumes:
    config:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/themepark_config